<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/ReconstructedParticleConst.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">ReconstructedParticleConst.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_reconstructed_particle_obj_8h_source.html">eicd/ReconstructedParticleObj.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_cluster_8h_source.html">eicd/Cluster.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_reconstructed_particle_8h_source.html">eicd/ReconstructedParticle.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_track_8h_source.html">eicd/Track.h</a>&quot;</code><br />
<code>#include &lt;array&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &quot;podio/ObjectID.h&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for ReconstructedParticleConst.h:</div>
<div class="dyncontent">
<div class="center"><img src="_reconstructed_particle_const_8h__incl.png" border="0" usemap="#eicd_2_reconstructed_particle_const_8h" alt=""/></div>
<map name="eicd_2_reconstructed_particle_const_8h" id="eicd_2_reconstructed_particle_const_8h">
<area shape="rect" id="node2" href="_reconstructed_particle_obj_8h.html" title="eicd/ReconstructedParticle\lObj.h" alt="" coords="727,169,905,211"/>
<area shape="rect" id="node5" href="_cluster_8h.html" title="eicd/Cluster.h" alt="" coords="631,259,734,285"/>
<area shape="rect" id="node19" href="_track_8h.html" title="eicd/Track.h" alt="" coords="1341,259,1435,285"/>
<area shape="rect" id="node31" href="_reconstructed_particle_8h.html" title="eicd/ReconstructedParticle.h" alt="" coords="898,95,1089,121"/>
<area shape="rect" id="node3" href="_reconstructed_particle_data_8h.html" title="eicd/ReconstructedParticle\lData.h" alt="" coords="93,333,272,375"/>
<area shape="rect" id="node6" href="_cluster_const_8h.html" title="eicd/ClusterConst.h" alt="" coords="519,341,657,367"/>
<area shape="rect" id="node7" href="_cluster_obj_8h.html" title="eicd/ClusterObj.h" alt="" coords="535,423,657,449"/>
<area shape="rect" id="node9" href="_calorimeter_hit_8h.html" title="eicd/CalorimeterHit.h" alt="" coords="263,497,409,524"/>
<area shape="rect" id="node8" href="_cluster_data_8h.html" title="eicd/ClusterData.h" alt="" coords="653,572,784,599"/>
<area shape="rect" id="node10" href="_calorimeter_hit_const_8h.html" title="eicd/CalorimeterHitConst.h" alt="" coords="246,572,426,599"/>
<area shape="rect" id="node11" href="_calorimeter_hit_obj_8h.html" title="eicd/CalorimeterHitObj.h" alt="" coords="352,647,517,673"/>
<area shape="rect" id="node13" href="_vector_x_y_z_8h.html" title="eicd/VectorXYZ.h" alt="" coords="257,796,383,823"/>
<area shape="rect" id="node12" href="_calorimeter_hit_data_8h.html" title="eicd/CalorimeterHitData.h" alt="" coords="347,721,520,748"/>
<area shape="rect" id="node20" href="_track_const_8h.html" title="eicd/TrackConst.h" alt="" coords="1426,341,1555,367"/>
<area shape="rect" id="node21" href="_track_obj_8h.html" title="eicd/TrackObj.h" alt="" coords="1289,423,1404,449"/>
<area shape="rect" id="node23" href="_track_state_8h.html" title="eicd/TrackState.h" alt="" coords="1683,497,1808,524"/>
<area shape="rect" id="node27" href="_tracker_hit_8h.html" title="eicd/TrackerHit.h" alt="" coords="1535,497,1657,524"/>
<area shape="rect" id="node22" href="_track_data_8h.html" title="eicd/TrackData.h" alt="" coords="1236,497,1359,524"/>
<area shape="rect" id="node24" href="_track_state_const_8h.html" title="eicd/TrackStateConst.h" alt="" coords="1749,572,1909,599"/>
<area shape="rect" id="node25" href="_track_state_obj_8h.html" title="eicd/TrackStateObj.h" alt="" coords="1639,647,1785,673"/>
<area shape="rect" id="node26" href="_track_state_data_8h.html" title="eicd/TrackStateData.h" alt="" coords="1635,721,1789,748"/>
<area shape="rect" id="node28" href="_tracker_hit_const_8h.html" title="eicd/TrackerHitConst.h" alt="" coords="1517,572,1675,599"/>
<area shape="rect" id="node29" href="_tracker_hit_obj_8h.html" title="eicd/TrackerHitObj.h" alt="" coords="1410,647,1553,673"/>
<area shape="rect" id="node30" href="_tracker_hit_data_8h.html" title="eicd/TrackerHitData.h" alt="" coords="1407,721,1558,748"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_reconstructed_particle_const_8h__dep__incl.png" border="0" usemap="#eicd_2_reconstructed_particle_const_8hdep" alt=""/></div>
<map name="eicd_2_reconstructed_particle_const_8hdep" id="eicd_2_reconstructed_particle_const_8hdep">
<area shape="rect" id="node2" href="_reconstructed_particle_8h.html" title="eicd/ReconstructedParticle.h" alt="" coords="427,95,618,121"/>
<area shape="rect" id="node3" href="_reconstructed_particle_8cc.html" title="src/ReconstructedParticle.cc" alt="" coords="150,266,341,293"/>
<area shape="rect" id="node6" href="_reconstructed_particle_const_8cc.html" title="src/ReconstructedParticle\lConst.cc" alt="" coords="747,259,920,300"/>
<area shape="rect" id="node11" href="_vertex_obj_8cc.html" title="src/VertexObj.cc" alt="" coords="864,95,984,121"/>
<area shape="rect" id="node4" href="_reconstructed_particle_collection_8h.html" title="eicd/ReconstructedParticle\lCollection.h" alt="" coords="560,169,739,211"/>
<area shape="rect" id="node8" href="_reconstructed_particle_obj_8cc.html" title="src/ReconstructedParticle\lObj.cc" alt="" coords="28,169,201,211"/>
<area shape="rect" id="node9" href="_vertex_8cc.html" title="src/Vertex.cc" alt="" coords="226,177,326,203"/>
<area shape="rect" id="node10" href="_vertex_const_8cc.html" title="src/VertexConst.cc" alt="" coords="350,177,485,203"/>
<area shape="rect" id="node5" href="_reconstructed_particle_collection_8cc.html" title="src/ReconstructedParticle\lCollection.cc" alt="" coords="365,259,539,300"/>
<area shape="rect" id="node7" href="_vertex_collection_8cc.html" title="src/VertexCollection.cc" alt="" coords="563,266,722,293"/>
</map>
</div>
</div>
<p><a href="_reconstructed_particle_const_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceeic"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceeic.html">eic</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
